Skip to content
Documentation sections

Get Port Details by unlocode

GET /ports/{unlocode} on the Ports Intelligence API. Base URL: https://api.sinay.ai/ports-intelligence/api/v1.

Retrieve detailed informations about a specific port by its UNLOCODE. It include the berth occupation rate and the difference with the average one.

Path parameters

stringrequired

UN/LOCODE of the port (e.g., FRLEH for Le Havre)

Responses

Body: application/json, object.

FieldTypeRequiredDescription
portDetailsobjectNo—
portDetails.namestringNoName of the port.
portDetails.longitudenumber (float)NoLongitude coordinate.
portDetails.latitudenumber (float)NoLatitude coordinate.
portDetails.unlocodestringNoUN/LOCODE of the port.
portDetails.countryNamestringNoCountry name.
portDetails.countryCodestringNoISO country code.
portOccupationDataobject, nullableNo—
portOccupationData.portOccupationLevelnumber (float)NoCurrent port occupation percentage.
portOccupationData.portOccupationDifferenceFromAveragenumber (float)NoDifference with average occupation.

Example response body:

{
  "portDetails": {
    "name": "LE HAVRE",
    "longitude": 0.146204,
    "latitude": 49.4726,
    "unlocode": "FRLEH",
    "countryName": "France",
    "countryCode": "FR"
  },
  "portOccupationData": {
    "portOccupationLevel": 56.652794,
    "portOccupationDifferenceFromAverage": 5.075188
  }
}